"use client";
import { getGamesApi, GroupType } from "@/api/home";
import { SwiperGroup } from "@/components/Card";
import { FC, PropsWithChildren, useEffect, useState } from "react";
import "swiper/css";
interface Props {}
const urls = [
    "https://images.hibigwin.com/9f/202405/mqletkfLwGeZkSH.jpg",
    "https://images.hibigwin.com/9f/202402/jLkCmSkItvcqlid.jpg",
    "https://images.hibigwin.com/9f/202404/DDnZEhXKutDVIYn.jpg",
    "https://images.hibigwin.com/9f/202406/wOBQjusbGUZkBMA.jpg",
    "https://images.hibigwin.com/9f/202402/jLkCmSkItvcqlid.jpg",
    "https://images.hibigwin.com/9f/202405/mqletkfLwGeZkSH.jpg",
    "https://images.hibigwin.com/9f/202407/LPpEiiltiXwcdYz.jpg",
    "https://images.hibigwin.com/9f/202406/veFfaahiTGAyDpy.jpg",
];
const HomeSwiper: FC<PropsWithChildren<Props>> = (props) => {
    const [groupGames, setGroupGames] = useState<GroupType[]>([]);
    useEffect(() => {
        getGamesApi().then((res) => {
            setGroupGames(res.data);
        });
    }, []);
    return (
        <div>
            {groupGames.map((group, index) => {
                return <SwiperGroup key={index} group={group}></SwiperGroup>;
            })}
        </div>
    );
};

export default HomeSwiper;
